import React from 'react';
import 'bootstrap/dist/css/bootstrap.min.css';
import 'bootstrap/dist/js/bootstrap.min.js';
import './CardContainer.css';
import CardFilm from './CardFilm';

class CardContainer extends React.Component {
    render() {
        const elements = [
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine01.jpeg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine02.jpeg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine03.jpeg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine04.jpg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine05.jpg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine06.jpg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine07.jpg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine08.jpg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine09.jpg",
            "https://www.ilpost.it/wp-content/uploads/2017/12/locandine10.jpg",
        ];
    
        const items = []
    
        for (const [index, value] of elements.entries()) {
            items.push(
                <CardFilm
                    alt="copertina" 
                    src={value}
                    title="Card Title"
                    body="Some quick example text to build on the card title and make up the bulk of the card's content."
                />
            )
        }
    
        return (
            <div>
                <p className="sect-title">{this.props.sectionTitle}</p>
                <div className="container-mod">
                    {items}
                </div>
            </div>
        );
    }
}

export default CardContainer;
